---
title: "Gets the current status of a bulk lease asset patch request"
url: "https://developer.tesma.com/apis/tesma-platform-api-v1/versions/333907fb-f0a7-4e20-b01e-c9915c73321a/paths/v1-leases-assets-bulkpatches-bulkJobId/get"
---

> Full API specification: https://developer.tesma.com/apis/tesma-platform-api-v1/versions/333907fb-f0a7-4e20-b01e-c9915c73321a.md

# Gets the current status of a bulk lease asset patch request

`GET` `/v1/leases/assets/bulkpatches/{bulkJobId}`

## Path parameters

- `bulkJobId` (integer, int32, required) - The id of the bulk job

## Header parameters

- `CorporateGroup-Name` (string, optional) - Corporate group key that assigns the currently selected corporate group to the request.

## Responses

- `200` - OK
- `400` - Bad Request
- `401` - Unauthorized
- `403` - Forbidden
- `404` - Not Found

## OpenAPI definition

```yaml
openapi: 3.1.1
info:
  title: tesma
  version: v1
servers:
  - url: https://api.tesma.com
paths:
  /v1/leases/assets/bulkpatches/{bulkJobId}:
    get:
      parameters:
        - description: The id of the bulk job
          in: path
          name: bulkJobId
          required: true
          schema:
            format: int32
            minimum: 1
            type: integer
        - description: Corporate group key that assigns the currently selected corporate
            group to the request.
          in: header
          name: CorporateGroup-Name
          schema:
            type: string
      responses:
        "200":
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/AssetBulkJobResponse"
          description: OK
        "400":
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ValidationProblemDetails"
          description: Bad Request
        "401":
          description: Unauthorized
        "403":
          description: Forbidden
        "404":
          description: Not Found
      summary: Gets the current status of a bulk lease asset patch request
      tags:
        - LeaseScheduleAssetPatch
security:
  - PersonalAccessToken: []
components:
  schemas:
    AssetBulkJobResponse:
      additionalProperties: false
      properties:
        assetsSuccessfullyUpdated:
          format: int32
          type:
            - "null"
            - integer
        assetsTotal:
          format: int32
          type: integer
        createDate:
          format: date-time
          type: string
        endDate:
          format: date-time
          type:
            - "null"
            - string
        errors:
          items:
            $ref: "#/components/schemas/BulkJobAssetErrorResponse"
          type:
            - "null"
            - array
          x-is-public: true
        id:
          format: int32
          type: integer
        startDate:
          format: date-time
          type:
            - "null"
            - string
        status:
          $ref: "#/components/schemas/ExecutionStatus"
      type: object
    ValidationProblemDetails:
      additionalProperties: {}
      properties:
        detail:
          type:
            - "null"
            - string
        errors:
          additionalProperties:
            items:
              type: string
            type: array
          type:
            - "null"
            - object
        instance:
          type:
            - "null"
            - string
        status:
          format: int32
          type:
            - "null"
            - integer
        title:
          type:
            - "null"
            - string
        type:
          type:
            - "null"
            - string
      type: object
    BulkJobAssetErrorResponse:
      additionalProperties: false
      properties:
        assetId:
          format: int64
          type: integer
        errors:
          items:
            type: string
          type:
            - "null"
            - array
      type: object
    ExecutionStatus:
      enum:
        - notStarted
        - validating
        - inProgress
        - successful
        - partiallySuccessful
        - failed
        - failedPotentiallyInconsistent
      type: string
  securitySchemes:
    PersonalAccessToken:
      description: Authentication using the Personal Access Token generated in tesma UI.
      in: header
      name: X-API-KEY
      type: apiKey
```
